package com.google.android.gms.signin.internal;

import X.AnonymousClass94K;
import X.C36088vf;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import com.google.android.gms.common.internal.ResolveAccountRequest;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;

public final class zai extends AbstractSafeParcelable {
    public static final Parcelable.Creator<zai> CREATOR = new AnonymousClass94K();
    public final int LIZ;
    public final ResolveAccountRequest LIZIZ;

    static {
        Covode.recordClassIndex(43849);
    }

    public zai(ResolveAccountRequest resolveAccountRequest) {
        this(1, resolveAccountRequest);
    }

    public zai(int i, ResolveAccountRequest resolveAccountRequest) {
        this.LIZ = i;
        this.LIZIZ = resolveAccountRequest;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        int LIZ2 = C36088vf.LIZ(parcel, 20293);
        C36088vf.LIZIZ(parcel, 1, this.LIZ);
        C36088vf.LIZ(parcel, 2, (Parcelable) this.LIZIZ, i);
        C36088vf.LIZIZ(parcel, LIZ2);
    }
}
